Package docking.menu

# Class MenuBarManager

java.lang.Object
docking.menu.MenuBarManager

All Implemented Interfaces:
  `MenuGroupListener`

public class MenuBarManager extends Object implements MenuGroupListener
Manages the main menu bar on the main frame

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuBarManager(MenuHandler actionHandler, MenuGroupMap menuGroupMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAction(DockingActionIf action)`
  Adds an action to the menu
  `void`
  `clearActions()`
  `void`
  `dispose()`
  Releases all resources and makes this object unusable.
  `JMenuBar`
  `getMenuBar()`
  `void`
  `menuGroupChanged(String[] menuPath, String group)`
  Handles changes to the Menu Group
  `void`
  `removeAction(DockingActionIf action)`
  Removes an action from the menu.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MenuBarManager

    public MenuBarManager(MenuHandler actionHandler, MenuGroupMap menuGroupMap)

- ## Method Details

  - ### clearActions

    public void clearActions()

  - ### addAction

    public void addAction(DockingActionIf action)
    Adds an action to the menu
    Parameters:
      `action` - the action to be added

  - ### removeAction

    public void removeAction(DockingActionIf action)
    Removes an action from the menu.
    Parameters:
      `action` - the action to be removed.

  - ### dispose

    public void dispose()
    Releases all resources and makes this object unusable.

  - ### getMenuBar

    public JMenuBar getMenuBar()

  - ### menuGroupChanged

    public void menuGroupChanged(String[] menuPath, String group)
    Handles changes to the Menu Group
    Specified by:
      `menuGroupChanged` in interface `MenuGroupListener`
    Parameters:
      `menuPath` - the menu path whose group changed.
      `group` - the new group for the given menuPath.